# Method: products.list

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/products/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/products/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/products/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/products/list#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/products/list#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/products/list#body.ProductsListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/products/list#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/products/list#try-it)

Lists the products in your Merchant Center account. The response might contain fewer items than specified by maxResults. Rely on nextPageToken to determine if there are more items to be requested.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/products`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the account that contains the products. This account cannot be a multi-client account. |

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer (https://developers.google.com/discovery/v1/type-format format)` The maximum number of products to return in the response, used for paging. The default value is 25. The maximum value is 250. |
| `pageToken` | `string` The token returned by the previous request. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "nextPageToken": string, "kind": string, "resources": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/products#Product`) } ] } ``` |

| Fields ||
|---|---|
| `nextPageToken` | `string` The token for the retrieval of the next page of products. |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#productsListResponse`". |
| `resources[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/products#Product`)`` |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).